org.eclipse.microprofile.openapi.apps.beanvalidation

## Class BeanValidationResource

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.beanvalidation.BeanValidationResource

    @Path(value="/")
    public class BeanValidationResource
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BeanValidationResource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `test(@Valid BeanValidationData data)`
`void` `test(@Size(max=6) String size)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanValidationResource

    public BeanValidationResource()

### Method Detail

#### test

    @POST
     @Consumes(value="application/json")
    public void test(@Valid
                                                                @Valid BeanValidationData data)

#### test

    @POST
     @Path(value="parameter/{test}")
    public void test(@PathParam(value="test") @Size(max=6)
                                                            @Size(max=6) String size)